{% load i18n admin_static admin_list %}
<!DOCTYPE html>
<html lang="en">
    <head>
    <meta charset="utf-8" />
    <title>Matricula en línea {{ periodo }} - Universidad de Lambayeque</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="{% static 'custom/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 80px;
        padding-bottom: 40px;
        
        font-size: 13px;
      }
    .label-AT {
        background-color: #9d261d;
    }
    .label-AM {
        background-color: #7a43b6;
    }
    .label-IA {
        background-color: #46a546;
    }
    .label-IC {
        background-color: #f89406;
    }
    .label-IS {
        background-color: #049cdb;
    }
    .alert {
        color: black;
    }
    .alert2 {
        background: #F5F3B4;
    }
    .well2 {
        background: white;
    }
    table td.colcenter, table th.colcenter {
         text-align:center;
    }

    </style>
    <link rel="stylesheet" href="{% static 'custom/bootstrap/css/bootstrap-responsive.css" />
        
    <script src="{% static 'custom/bootstrap/js/jquery-1.7.2.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-tab.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-modal.js' %}"></script>
<script type="text/javascript">
$(document).ready(function() {

            $('#myModalI').modal({
                keyboard : false,
                //backdrop : false,
                show : true
            });

            $('#myModalI').on('hidden.bs.modal', function () {
                $('#myModalI2').modal('show');
            })

            $('#myModalI2').on('hidden.bs.modal', function () {
                $('#myModal').modal('show');
            })

            $('#continuar-01').on('click', function (e) {
               e.preventDefault();
               var estado = true;
               var n_cursos_ciclo = '';
               if($(".cursos_disponibles:checked").length > 0){
                    for(var i=1;i<11;i++){
                        if(cursos_ciclo[i]){
                                var contador = 0;
                                $(".cursos_disponibles:checked").each(function() {
                                    if(parseInt(i) == parseInt($(this).attr('id').split('_')[2])){
                                        contador+=1;
                                    }
                                });
                                n_cursos_ciclo += i + '-' + contador + '|';
                        }
                    }
                    var n_cursos = n_cursos_ciclo.split('|');
                    for(var i=0;i<n_cursos.length - 1;i++){
                        if(i != 0){
                            if(n_cursos[i] != ''){
                                var ciclo = n_cursos[i-1].split('-')[0];
                                var ciclo1 = n_cursos[i].split('-')[0];
                                var num1 = n_cursos[i].split('-')[1];
                                var num = n_cursos[i-1].split('-')[1];
                                if(num1 > 0 && parseInt(num) != parseInt(cursos_ciclo[ciclo])){
                                    estado = false;
                                    alert('Debes elegir todos los cursos del ' + ciclo + 'º ciclo, antes de elegir cursos del ' + ciclo1 + 'º Ciclo.');
                                    break
                                }
                            }
                        }
                    }
               }

               if(estado == true){
                   if($(".cursos_disponibles:checked").length > 0){
                       $('#myTab li:eq(1) a').tab('show');
                   }
               }

            });

            $('#continuar-02').on('click', function (e) {
               e.preventDefault();
               $(this).attr('disabled', 'disabled');
            });

            $('#regresar').on('click', function (e) {
               e.preventDefault();
               $('#myTab li:eq(0) a').tab('show');
            });


vcursos = new Array();
cursos_ciclo = new Array();

{% for key,value in cursos_ciclo.items %}
    cursos_ciclo[{{ key }}] = {{ value }};
{% endfor %}

var cred_matri = 0;
var cred_adi = 0;
var cred_reg = parseInt({{ creditos_regulares }});
var monto_regular = parseFloat({{ categoria.Pago }});
var monto_adicional = parseFloat(0.00);
var monto_total = parseFloat(0.00);
var costo_cred = parseFloat({{ costo_cred }});
// $('.cursos_disponibles').attr('disabled', 'disabled');
$('.cursos_disponibles').attr('checked', false);
// $('.cursos_disponibles').eq(0).removeAttr("disabled");
$('.cursos_disponibles').removeAttr("disabled");
$('#continuar-01').attr('disabled', true);

var n_cursos = $(".cursos_disponibles").length
$('#total_pension').html(monto_regular);

$(".cursos_disponibles").click(function(){
    vcursos = [];
    var cursos = $('input[name="cursos_disponibles"]');
    var index = cursos.index($(this));
    var tr = '#tr_' + $(this).attr('id').split('_')[0];
    var tr1 = '#tr1_' + $(this).attr('id').split('_')[0];
    var span = '#span_' + $(this).attr('id').split('_')[0];
    var icon = '#icon_' + $(this).attr('id').split('_')[0];
    cred_matri = 0;
    cred_adi = 0;
    monto_total = parseFloat(0.00);
    monto_adicional = parseFloat(0.00);
    if($(this).is(':checked')){
              $(tr).attr('class',"success");
              $(span).attr('class',"label label-success");
              $(icon).attr('class',"icon-ok icon-white");
//              cursos.eq(index + 1).removeAttr("disabled");
              
              $(tr1).show();
    }else{
         $(tr1).hide();
         $(tr).attr('class',"error");
         $(span).attr('class',"label label-important");
         $(icon).attr('class',"icon-remove icon-white");
//          for (var i=1;i<n_cursos-index;i++)
//          {
//               tr1_1 = '#tr1_' + cursos.eq(index + i).attr('id').split('_')[0];
//               tr_1 = '#tr_' + cursos.eq(index + i).attr('id').split('_')[0];
//               span_1 = '#span_' + cursos.eq(index + i).attr('id').split('_')[0];
//               icon_1 = '#icon_' + cursos.eq(index + i).attr('id').split('_')[0];
//               $(tr1_1).hide();
//               $(tr_1).attr('class',"error");
//               $(span_1).attr('class',"label label-important");
//               $(icon_1).attr('class',"icon-remove icon-white");
//               cursos.eq(index + i).removeAttr("checked");
//               cursos.eq(index + i).attr('disabled', 'disabled');
//          }
    }
    
    //mostrar cantidad de creditos matriculados
    $(".cursos_disponibles:checked").each(function() {
         cred_matri+=parseInt($(this).attr('id').split('_')[1]);
         vcursos[$(this).attr('id').split('_')[0]] = $(this).attr('id').split('_')[0];
    });
    
    if($(".cursos_disponibles:checked").length > 0){
        $('#continuar-01').removeAttr("disabled");
    }else{
        $('#continuar-01').attr('disabled', true);
    }
    
    $('#cred_matricular').empty();
    $('#cred_matricular').html(cred_matri);
    
    $('#total_creditos').empty();
    $('#total_creditos').html(cred_matri);

    //acciones si hay creditos adicionales
    if(cred_matri > cred_reg){
        //mostrar creditos adicionales
        cred_adi = cred_matri - cred_reg;
        $('#adicional_creditos').empty();
        $('#adicional_creditos').html(cred_adi);

        //mostrar creditos regulares
        $('#cred_regulares').empty();
        $('#cred_regulares').html(cred_reg);

        //mostrar monto adicional
        monto_adicional = cred_adi * costo_cred;
        $('#adicional_pension').empty();
        $('#adicional_pension').html(monto_adicional);
        
        //mostrar monto total
        monto_total = monto_regular + monto_adicional;
        $('#total_pension').empty();
        $('#total_pension').html(monto_total);

    }else{
        //mostrar creditos adicionales
        $('#adicional_creditos').empty();
        $('#adicional_creditos').html('0');
        //mostrar creditos regulares
        $('#cred_regulares').empty();
        $('#cred_regulares').html(cred_matri);

        //mostrar monto adicional
        monto_adicional = parseFloat(0.00);
        $('#adicional_pension').empty();
        $('#adicional_pension').html(monto_adicional);
        
        //mostrar monto total
        monto_total = monto_regular + monto_adicional;
        $('#total_pension').empty();
        $('#total_pension').html(monto_total);
    }

});

$('#continuar-02').click(function() {

    if(confirm('Aceptas matricularte en estos cursos?')){
        var cursos_elegidos = "";
        var mypost = {};
        for (var vc in vcursos){
            cursos_elegidos += vc + '-';
        }
        
        mypost['vcursos'] = cursos_elegidos;
        $.ajax({
            url: "registrar/",
            type: "POST",
            data: mypost,
            success: function(resp) {
                alert(resp);
                $('#continuar-02').removeAttr("disabled");
                $('#myTab li:eq(2) a').tab('show');
            },
            error: function (data, status, e){
                alert('Error comunicándose con el servicio');
                $('#continuar-02').removeAttr("disabled");
            },
        });
    }else{
        $('#continuar-02').removeAttr("disabled");
    }
    
    

});

function validar_email(valor)
{
        // creamos nuestra regla con expresiones regulares.
        var filter = /[\w-\.]{3,}@([\w-]{2,}\.)*([\w-]{2,}\.)[\w-]{2,4}/;
        // utilizamos test para comprobar si el parametro valor cumple la regla
        if(filter.test(valor))
            return true;
        else
            return false;
}

$('#enviar_ficha').on('click', function (e) {
    e.preventDefault();
    var mail = $('#mail');
    var mail2 = $('#mail2');
    var mypost = {};
    
    if(mail.val() == ''){
            alert("Ingrese un email");
    }else if(validar_email(mail.val())){
            if(mail2.val() == ''){
                    alert("Ingrese un email");
            }else if(validar_email(mail2.val())){
                if(mail.val() == mail2.val()){
                    $('#enviar_ficha').attr('disabled', 'disabled');
                    $("#cargando").css("display", "inline");
                    mypost['email'] = mail.val();
                    $.ajax({
                        url: "enviar_ficha/",
                        type: "POST",
                        data: mypost,
                        success: function(resp) {
                            $("#cargando").css("display", "none");
                            $('#enviar_ficha').removeAttr("disabled");
                            alert(resp);
                            $('#envio_mail_ok').show();
                        },
                        error: function (data, status, e){
                            $("#cargando").css("display", "none");
                            $('#enviar_ficha').removeAttr("disabled");
                            alert('Error enviando el correo, pero aun puedes descargar tu ficha.');
                            $('#envio_mail_ok').show();
                        },
                    });
                }else{
                    alert("Los email no coinciden");
                }
            }else{
                alert("El email no es valido");
            }
    }else{
        alert("El email no es valido");
    }
});


});
</script>

  </head>

  <body>

    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container-fluid">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a class="brand" href="#">
              <img src="{% static 'uploads/icon64x64.png' %}" width="32"/>
              Matrícula en línea UDL {{ periodo }}
          </a>
          <a class="btn btn-primary pull-right" type="button" href="logout/" >Salir del sistema</a>
          <div class="nav-collapse collapse">
          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>

    <div class="container-fluid">

        <div class="row-fluid">

            <div class="span2">
                <div class="well">
                    <h4>Bienvenido(a):</h4>
                    {% if estudiante.Foto != '' %}
                        <img class="thumbnail" src="{% static 'uploads/' %}{{ estudiante.Foto }}" alt="Foto" />
                    {% else %}
                        <img class="thumbnail" src="{% static 'uploads/avatar.jpg' %}" alt="Avatar" />
                    {% endif %}
                    <div class="info" style="text-align:center;">
                        <div class="label">{{ estudiante.Codigo|escape }}</div>
                        <h4>{{ estudiante.Nombres }}</h4>
                        <h5>{{ estudiante.ApellidoPaterno }} {{ estudiante.ApellidoMaterno }}</h5>
                        <div class="label label-{{ estudiante.Carrera.Codigo }}">{{ estudiante.Carrera }}</div>
                    </div>
                </div>
            </div>

            <div class="span10">
                
                <h3 style="margin-top:0;">Matrícula en línea {{ periodo }}</h3>
                <p>
                   <strong>Lea detenidamente la información y las instrucciones que se le presentan a continuación:</strong>
                </p>
                
                <div class="well well2">
                    <ul id="myTab" class="nav nav-tabs">
                        <li class="active"><a href="#pasouno"><strong>PASO 1:</strong> Elegir cursos disponibles</a></li>
                        <li class=""><a href="#pasodos"><strong>PASO 2:</strong> Verificar Créditos y Pensión</a></li>
                        <li class=""><a href="#pasotres"><strong>PASO 3:</strong> Imprima su Ficha de matrícula</a></li>
                    </ul>

                    <div id="myTabContent" class="tab-content">
                        <div class="tab-pane fade active in" id="pasouno">
                            <div class="alert alert-info">
                                <strong><i class="icon-warning-sign"></i> Importante:</strong><br>
                                Este semestre solo puedes matricularte en estos cursos, debes tener en cuenta que el máximo número de créditos a matricularse es <span class="badge badge-important">26</span> y si deseas llevar más de <span class="badge badge-important">{{ creditos_regulares }}</span> créditos el costo por crédito adicional es <span class="badge badge-important">S/. 17.50</span>.
                            </div>

                            <div class="alert alert2">
                                <strong><i class="icon-info-sign"></i> Instrucciones:</strong><br>
                                Para ir al siguiente paso, primero debes <u>marcar las casillas de los cursos</u> en los que deseas matricularte este semestre; una vez seguro de esto deberás presionar el botón <strong>"Continuar"</strong>. Si cometes algún error puedes regresar a este paso.
                            </div>

                            <table class="table table-bordered">
                                <thead>

                                  <tr>
                                    <th style="text-align:center;"><i class="icon-ok"></i></th>
                                    <th>Código</th>
                                    <th>Nombre del curso</th>
                                    <th class="colcenter">Ciclo</th>
                                    <th class="colcenter">Prerequisito</th>
                                    <th class="colcenter">Créditos</th>
                                    <th class="colcenter">Estado</th>
                                  </tr>
                                </thead>
                                <tbody>
                                  {% for result in results %}
                                  <tr id="tr_{{ result.id }}" class='error'>
                                    <td style="text-align:center;" class="span1"><input id="{{ result.id }}_{{ result.Curso.Creditos }}_{{ result.Curso.Ciclo }}" type="checkbox" class="cursos_disponibles" name="cursos_disponibles" value="{{ result.id }}"/></td>
                                    <td>{{ result.Curso.Codigo }}</td>
                                    <td>{{ result.Curso.Nombre }}</td>
                                    <td class="colcenter">{{ result.Curso.Ciclo }}º Ciclo</td>
                                    <td>{{ result.Curso.Prerequisito.Nombre }}</td>
                                    <td class="colcenter"><span class="label">{{ result.Curso.Creditos }}</span></td>
                                    <td class="colcenter"><span id='span_{{ result.id }}' class="label label-important"><i id="icon_{{ result.id }}" class="icon-remove icon-white"></i></span></td>
                                   </tr>
                                  {% endfor %}
                                </tbody>
                                <footer>
                                  <tr>
                                    <th colspan="6" style="text-align:right;"><h4>Actualmente tienes <span id='cred_matricular' class="badge badge-success">0</span> créditos seleccionados.</h4></th>
                                  </tr>
                                </tfooter>
                              </table>

                              <p><span class="label label-success"><i class="icon-ok icon-white"></i></span> : Seleccionado para matrícula 
                              
                              <span class="label label-important"><i class="icon-remove icon-white"></i></span> : No seleccionado</p>

                              <a id="continuar-01" href="" class="btn btn-large btn-primary pull-right">Continuar con el Paso 2 <i class="icon-white icon-chevron-right"></i></a> 
                              
                            </div>

                            <div class="tab-pane fade" id="pasodos">
                                <div class="alert alert2">
                                    <strong><i class="icon-info-sign"></i> Mensaje:</strong><br>
                                    <ul>
                                        <li>A continuación presentamos el resumen de <strong>cursos que elegiste</strong> y el <strong>monto de la pensión que se te asignará este semestre</strong>.</li>
                                        <li>Si estas de acuerdo con los datos mostrados presione el botón <strong>"Estoy de acuerdo"</strong> para culminar su matrícula, de lo contrario puedes volver al paso 1 presionando el botón <strong>"Volver"</strong>.</li>
                                    </ul>

                                </div>

                                <div class="span11">

                                <h4>Cursos que elegiste para este semestre:</h4>

                                <table class="table table-bordered">
                                <thead>
                                  <tr>
                                    <th>Código</th>
                                    <th>Nombre del curso</th>
                                    <th class="colcenter">Ciclo</th>
                                    <th class="colcenter">Prerequisito</th>
                                    <th class="colcenter">Créditos</th>
                                    <th class="colcenter">Estado</th>
                                  </tr>
                                </thead>
                                <tbody>
                                  {% for result in results %}
                                  <tr id="tr1_{{ result.id }}" style="display:none;">
                                    <td>{{ result.Curso.Codigo }}</td>
                                    <td>{{ result.Curso.Nombre }}</td>
                                    <td class="colcenter">{{ result.Curso.Ciclo }}º Ciclo</td>
                                    <td>{{ result.Curso.Prerequisito.Nombre }}</td>
                                    <td class="colcenter"><span class="label">{{ result.Curso.Creditos }}</span></td>
                                    <td class="colcenter"><span class="label label-success"><i class="icon-ok icon-white"></i> Por matricular</span></td>
                                   </tr>
                                  {% endfor %}
                                  </tbody>
                                </table>
                                
                                <h4>Total de creditos registrados para este semestre:</h4>
                                <div class="row-fluid well">
                                    <div class="span4" style="text-align:center;"><h5>Créditos Regulares</h5>
                                        <h4 id="cred_regulares">0</h4>
                                    </div>
                                    <div class="span4" style="text-align:center;"><h5>Créditos Adicionales</h5>
                                        <h4 id='adicional_creditos'>0</h4>
                                    </div>
                                    <div class="span4" style="text-align:center;"><h5>Total Créditos</h5>
                                        <span class="badge badge-success"><h4 id='total_creditos'>0</h4></span>
                                    </div>
                                </div>
                                <h4>Pensión que se te asignará este semestre:</h4>
                                <div class="row-fluid well">
                                    <div class="span4" style="text-align:center;"><h5>Pensión Normal</h5>
                                        <h4>S/.{{ categoria.Pago }}</h4>
                                    </div>
                                    <div class="span4" style="text-align:center;"><h5>Monto Adicional</h5>
                                        <h4>S/.<span id='adicional_pension'>0.00</span></h4>
                                    </div>
        
                                    <div class="span4" style="text-align:center;"><h5>Pensión Total</h5>
                                        <span class="badge badge-success"><h4>S/.<span id='total_pension'>0.00</span></h4></span>
                                    </div>
                                </div>

                              <p><a id="continuar-02" href="javascript:void();" class="btn btn-large btn-primary pull-right">Estoy de acuerdo, matricularme.</a></p>

                              <a id="regresar" href="javascript:void();" class="btn btn-large btn-primary">Volver para seleccionar mis cursos</a>

                            </div>
                        </div>
                            
                            <div class="tab-pane fade" id="pasotres">

                                <div class="alert alert-success">
                                    <h3>¡Matrícula exitosa!</h3>
                                    <p>La matricula se realizó con exito. Ahora introduzca su <strong>Correo Electrónico (<i class="icon-envelope"></i>)</strong> y le enviaremos una copia digital de su <strong>Ficha de Matrícula</strong></p>
                                    <p>No olvides imprimir una copia de su Ficha de Matrícula y acudir a la Oficina Central de Cómputo para obtener el sello y validación respectiva.</p>
                                </div>

                                <div class="alert alert2">
                                    <strong><i class="icon-ok"></i> Instrucciones</strong>
                                    <p>Introduzca su correo electrónico y por seguridad digítelo nuevamente para verificar que lo ha escrito correctamente.</p>
                                </div>

                                <form class="form-inline">
                                    <input id="mail" type="text" class="input-large" placeholder="Correo electrónico">
                                    <input id="mail2" type="text" class="input-large" placeholder="Repita su correo electrónico">
                                    <button id='enviar_ficha' type="button" class="btn btn-success">Enviar Ficha de Matrícula</button>
                                    <div id="cargando" style="display:none; color: green;">Cargando...</div>
                                    <p>
                                        <div id="envio_mail_ok" class="alert alert-success" style="display:none;">
                                            <strong><i class="icon-ok"></i> Se le envió la Ficha de Matrícula a su bandeja de correo.</strong>
                                            <p>
                                            Puede descargar su ficha presionando el siguiente botón <i class="icon-arrow-right"></i> <a id="descargar_ficha" class="btn btn-small" href="descargar_ficha/">Descargar Ficha</a>.
                                            <div id="cargando1" style="display:none; color: green;">Cargando...</div>
                                            </p>
                                        </div>
                                    </p>
                                </form>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div> <!-- /container -->

    <!-- Modal -->
    <div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-header">
<!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
          <h3 id="myModalLabel">Comunicado</h3>
        </div>
        <div class="modal-body">
          <h2>Matricula en línea {{ periodo }}</h2>
          <p style="margin-top: 5px;text-align:justify;">
          Estimado estudiante: <strong>{{ estudiante }}</strong><br><br>
          Mediante este medio usted deberá realizar el proceso de matrícula de cursos en el presente semestre
          académico de acuerdo a las Políticas Institucionales establecidas en el Reglamento
          de Ingreso y Matrícula de estudiantes y la validación de los pagos respectivos, así mismo
          se le comunica que la matrícula en créditos adicionales se realizará automaticamente,
          por tal motivo usted deberá realizar una matrícula responsable.
          <br><br>
          Recuerde que actualmente usted tiene asignado una categoría de pago de pensión regular
          ya sea por acuerdos, convenios o promedio ponderado del semestre anterior, si este semestre 
          observa que su pensión regular ha cambiado, puede resolver sus dudas en la Oficina de Tesorería
          de la Universidad.
          <br><br>
          Así mismo se le comunica que el número máximo de créditos a llevar por semestre es de <span class="badge badge-important">26</span>,
          y si lleva más de <span class="badge badge-important">{{ creditos_regulares }}</span> créditos regulares de acuerdo a su carrera, el valor por crédito adicional tendrá un costo de S./ 17.50.
          <br><br>
          La matrícula se concreta siempre y cuando haya hecho click en el boton estoy de acuerdo del
          paso Nº 02.
          </p>
        </div>
        <div class="modal-footer">
          Presione el botón <strong>"Continuar"</strong> para iniciar la matrícula <i class="icon-arrow-right"></i> <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true" >CONTINUAR</button>
      </div>
    </div>
    <!-- Modal Ingles -->
    <div id="myModalI" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-header">
<!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
          <h3 id="myModalLabel">Comunicado</h3>
        </div>
        <div class="modal-body">
          <h2>Acreditación del Conocimiento del Idioma Inglés</h2>
          <p style="margin-top: 5px;text-align:justify;">
          Estimado estudiante: <strong>{{ estudiante }}</strong><br><br>
          Recibe nuestro cordial saludo y te invitamos a leer con detenimiento los siguientes lineamientos:
          <br><br>
          - Los alumnos de la Universidad de Lambayeque deben acreditar su dominio del Idioma Inglés con el 
          <strong>nivel de Intermedio</strong> para optar el Grado de Bachiller.
          <br><br>
          - Con la finalidad de garantizar el logro de la competencia lingüística del egresado de la UDL,
           la Universidad ha implementado los siguientes lineamientos para efectivizar este proceso:
          <br><br>
          <strong>1. Nivel Básico.</strong> El nivel básico que consta de dos subniveles: Beginner y Elementary  con una duración
           de 10 meses (diario o interdiario) y de 12 meses (sabatino o dominical), debe ser culminado antes de 
           iniciar el cuarto semestre de estudios de cualquiera de las carreras de nuestra Universidad. 
           Si algún alumno no ha culminado sus estudios y debe registrarse para el IV semestre, lo podrá realizar 
           solamente si firma una Carta de Compromiso e inicia sus estudios inmediatamente.
          <br><br>
          <strong>2. Nivel Intermedio.</strong> El nivel Intermedio que consta de dos subniveles: Pre-intermediate e Intermediate  
          con una duración de 10 meses (diario o interdiario) y de 12 meses (sabatino o dominical), debe ser culminado 
          antes de iniciar el séptimo semestre de estudios de cualquiera de las carreras de nuestra Universidad. 
          Si algún alumno no ha culminado sus estudios y debe registrarse para el VII semestre, lo podrá realizar solamente 
          si firma una Carta de Compromiso e inicia sus estudios inmediatamente.
          <br><br>
          - Los alumnos que deseen culminar el Nivel Avanzado del Programa de Inglés están en la libertad de hacerlo y el 
          Instituto de Idiomas de nuestra Universidad implementará las estrategias para motivarlo e implementar dicho avance.
          </p>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true" >CONTINUAR</button>
      </div>
    </div>
<!-- Modal Ingles 2 -->
    <div id="myModalI2" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-header">
<!--         <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button> -->
          <h3 id="myModalLabel">Comunicado</h3>
        </div>
        <div class="modal-body">
          <h3>Ciclos de Estudio del Idioma Inglés</h3>
          <p style="margin-top: 5px;text-align:justify;">
          <a class="pull-left thumbnail" href="#">
          <img class="media-object" src="{% static 'uploads/ingles1.jpg' %}" alt="Regular" style="width: 500px;">
          </a>
          </p>
        </div>
        <div class="modal-footer">
          <button class="btn btn-danger" data-dismiss="modal" aria-hidden="true" >CONTINUAR</button>
      </div>
    </div>
</body></html>
